org.mariadb.jdbc

## Class Driver

- java.lang.Object
- - org.mariadb.jdbc.Driver

All Implemented Interfaces:
  Driver

    public final class Driver
    extends Object
    implements Driver

### Constructor Summary

Constructors
Constructor and Description
`Driver()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `acceptsURL(String url)` returns true if the driver can accept the url.
`Connection` `connect(String url, Properties info)` Connect to the given connection string.
`int` `getMajorVersion()` gets the major version of the driver.
`int` `getMinorVersion()` gets the minor version of the driver.
`Logger` `getParentLogger()`
`DriverPropertyInfo[]` `getPropertyInfo(String url, Properties info)` get the property info.
`boolean` `jdbcCompliant()` checks if the driver is jdbc compliant (not yet!).
`static void` `unloadDriver()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Driver

    public Driver()

### Method Detail

#### connect

    public Connection connect(String url,
                              Properties info)
                       throws SQLException

Connect to the given connection string. the properties are currently ignored

Specified by:
  `connect` in interface `Driver`
Parameters:
  `url` - the url to connect to
  `info` - the properties of the connection - ignored at the moment
Returns:
  a connection
Throws:
  `SQLException` - if it is not possible to connect

#### acceptsURL

    public boolean acceptsURL(String url)

returns true if the driver can accept the url.

Specified by:
  `acceptsURL` in interface `Driver`
Parameters:
  `url` - the url to test
Returns:
  true if the url is valid for this driver

#### getPropertyInfo

    public DriverPropertyInfo[] getPropertyInfo(String url,
                                                Properties info)
                                         throws SQLException

get the property info. TODO: not implemented!

Specified by:
  `getPropertyInfo` in interface `Driver`
Parameters:
  `url` - the url to get properties for
  `info` - the info props
Returns:
  something - not implemented
Throws:
  `SQLException` - if there is a problem getting the property info

#### getMajorVersion

    public int getMajorVersion()

gets the major version of the driver.

Specified by:
  `getMajorVersion` in interface `Driver`
Returns:
  the major versions

#### getMinorVersion

    public int getMinorVersion()

gets the minor version of the driver.

Specified by:
  `getMinorVersion` in interface `Driver`
Returns:
  the minor version

#### jdbcCompliant

    public boolean jdbcCompliant()

checks if the driver is jdbc compliant (not yet!).

Specified by:
  `jdbcCompliant` in interface `Driver`
Returns:
  false since the driver is not compliant

#### getParentLogger

    public Logger getParentLogger()
                           throws SQLFeatureNotSupportedException

Specified by:
  `getParentLogger` in interface `Driver`
Throws:
  `SQLFeatureNotSupportedException`

#### unloadDriver

    public static void unloadDriver()